| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__QueryAliasRequest Class Reference
Alias

Query Alias request. More...

`#include <osv-if-doc.h>`

## Public Attributes
xsd__string | OperatorId
| Operator Id. More...
xsd__boolean | Specific
| Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved. More...
struct unsp__Paging * | Paging
| Standard paging structure. More...
xsd__string | AliasName
| Filters by Alias name. More...
enum unsp__AliasType | AliasType
| Filters by Alias type. More...
xsd__short | NumberNodes
| Number of nodes to filter for. More...
unsp__ArrayOfString | NodeNames
| List of nodes to filter for. More...
enum unsp__AccountAuth | NodeAccountAuth
| Filters by the Account Authentication of nodes. More...

## Detailed Description

Query Alias request.

Used by unsp__queryAlias()

## Member Data Documentation

## ◆ AliasName

xsd__string unsp__QueryAliasRequest::AliasName

Filters by Alias name.

required: false
default value[range]: NA [1..127]

## ◆ AliasType

enum unsp__AliasType unsp__QueryAliasRequest::AliasType

Filters by Alias type.

required: false
default value[range]: AtUnused

## ◆ NodeAccountAuth

enum unsp__AccountAuth unsp__QueryAliasRequest::NodeAccountAuth

Filters by the Account Authentication of nodes.

required: false
default value[range]: AccountAuthUnused

## ◆ NodeNames

unsp__ArrayOfString unsp__QueryAliasRequest::NodeNames

List of nodes to filter for.

required: false

## ◆ NumberNodes

xsd__short unsp__QueryAliasRequest::NumberNodes

Number of nodes to filter for.

required: false
default value[range]: 0

## ◆ OperatorId

xsd__string unsp__QueryAliasRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__QueryAliasRequest::Paging

Standard paging structure.

required: false

## ◆ Specific

xsd__boolean unsp__QueryAliasRequest::Specific

Indicates whether a specific (single) object is being requested, or a list of objects is being retrieved.

If True, any other input parameters are used to search for the exact object instance being requested. If False, any other input parameters are used as filter criteria and a list of objects matching the given parameters may be returned.
default value[range]: false

The documentation for this class was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h